=== debian/control ===
Source: ros-lunar-actionlib
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-lunar-actionlib-msgs, ros-lunar-catkin (>= 0.5.78), ros-lunar-message-generation, ros-lunar-roscpp, ros-lunar-rosnode, ros-lunar-rospy, ros-lunar-rostest, ros-lunar-std-msgs
Homepage: http://www.ros.org/wiki/actionlib
Standards-Version: 3.9.2

Package: ros-lunar-actionlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-wxtools, ros-lunar-actionlib-msgs, ros-lunar-message-runtime, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-rospy, ros-lunar-rostest, ros-lunar-rostopic, ros-lunar-std-msgs
Description: The actionlib stack provides a standardized interface for interfacing with preemptable tasks.
 Examples of this include moving the base to a target location, performing a laser scan and returning the resulting point cloud, detecting the handle of a door, etc.
